commit: 189b629168125b18eb66ae3ff20f9379ddb08573
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 11 00:30:17 2019 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 01:37:48 2019 +0000
URL: https://gitweb.gentoo.org/proj/releng.git/commit/?id=189b6291
tools-musl: improve armv7a/arm64 scripts
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>
tools-musl/run-arm64.sh | 16 +++++++---------
tools-musl/run-armv7a.sh | 38 ++++++++++++--------------------------
2 files changed, 19 insertions(+), 35 deletions(-)
diff --git a/tools-musl/run-arm64.sh b/tools-musl/run-arm64.sh
index af6d49bd..200b33de 100755
--- a/tools-musl/run-arm64.sh
+++ b/tools-musl/run-arm64.sh
@@ -6,6 +6,8 @@ prepare_confs() {
local flavor=$1
local arch="arm64"
local tarch="aarch64"
+ local profile="default/linux/arm64/17.0/musl"
+ [[ "${flavor}" == "hardened" ]] && profile="${profile}/hardened"
for s in 1 2 3; do
local cstage=stage${s}
@@ -13,9 +15,6 @@ prepare_confs() {
[[ $p == 0 ]] && p=3
local pstage=stage${p}
- local profile="default/linux/arm64/17.0/musl"
- [[ "${flavor}" == "hardened" ]] && profile="${profile}/hardened"
-
cat stage.conf.template | \
sed -e "s:\(^version_stamp.*$\):\1-${mydate}:" \
-e "s:CSTAGE:${cstage}:g" \
@@ -43,17 +42,16 @@ prepare_confs() {
main() {
>zzz.log
-# catalyst -s current | tee -a zzz.log >snapshot.log 2>snapshot.err
+ catalyst -s current | tee -a zzz.log >snapshot.log 2>snapshot.err
for flavor in hardened vanilla; do
prepare_confs ${flavor}
done
- # No parallelization for arm64. Its too hard on the cpu!
-# for flavor in hardened vanilla; do
-# do_stages ${flavor}
-# [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
-# done
+ for flavor in hardened vanilla; do
+ do_stages ${flavor}
+ [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
+ done
}
main $1 &
diff --git a/tools-musl/run-armv7a.sh b/tools-musl/run-armv7a.sh
index bec98577..bf5bd753 100755
--- a/tools-musl/run-armv7a.sh
+++ b/tools-musl/run-armv7a.sh
@@ -3,36 +3,27 @@
source common.sh
prepare_confs() {
- local arch=$1
- local flavor=$2
+ local flavor=$1
+ local arch="armv7a_hardfp"
+ local tarch="armv7a"
+ local profile="default/linux/arm/17.0/musl/armv7a"
+ [[ "${flavor}" == "hardened" ]] && profile="${profile}/hardened"
for s in 1 2 3; do
-
local cstage=stage${s}
local p=$(( s - 1 ))
[[ $p == 0 ]] && p=3
local pstage=stage${p}
- local tarch="${arch%_hardfp}"
- local parch="arm/${tarch}"
- local float
-
- [[ "${arch}" == "${tarch}" ]] \
- && float="softfp" \
- || float="hardfloat"
-
- local profile=${flavor}
- [[ "${flavor}" == "vanilla" ]] && profile="default"
cat stage.conf.template | \
sed -e "s:\(^version_stamp.*$\):\1-${mydate}:" \
-e "s:CSTAGE:${cstage}:g" \
-e "s:PSTAGE:${pstage}:g" \
-e "s:SARCH:${arch}:g" \
- -e "s:PARCH:${parch}:g" \
-e "s:TARCH:${tarch}:g" \
- -e "s:gentoo-linux-musl:${float}-linux-musleabi:" \
-e "s:FLAVOR:${flavor}:g" \
- -e "s:PROFILE:${profile}:g" \
+ -e "s:gentoo-linux-musl:hardfloat-linux-musleabi:" \
+ -e "s:^profile\:.*:profile\: ${profile}:" \
-e "s:MYCATALYST:$(pwd):g" \
> stage${s}-${arch}-musl-${flavor}.conf
@@ -57,18 +48,13 @@ main() {
catalyst -s current | tee -a zzz.log >snapshot.log 2>snapshot.err
- for arch in armv7a_hardfp; do
- for flavor in hardened vanilla; do
- prepare_confs ${arch} ${flavor}
- done
+ for flavor in hardened vanilla; do
+ prepare_confs ${flavor}
done
- # No parallelization for arm. Its too hard on the cpu!
- for arch in armv7a_hardfp; do
- for flavor in hardened vanilla; do
- do_stages ${arch} ${flavor}
- [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
- done
+ for flavor in hardened vanilla; do
+ do_stages ${flavor}
+ [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
done
}